%global pypi_name livereload

Name:           python-%{pypi_name}
Version:        2.5.1
Release:        2%{?dist}
Summary:        Utility for starting a server in a directory
License:        BSD
URL:            https://github.com/lepture/python-livereload
Source0:        https://github.com/lepture/%{name}/archive/v%{version}.tar.gz
BuildArch:      noarch

%description
LiveReload provides a command line utility, livereload, for starting
a server in a directory. By default, it will listen to port 35729,
the common port for LiveReload browser extensions. LiveReload is designed
for web developers who know Python. 

- Python2 support install python2-livereload

- Python3 support install python3-livereload

%package -n python3-%{pypi_name}

Summary:        Command line utility for starting a server in a directory

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-six
BuildRequires:  python3-tornado
BuildRequires:  python3-certifi
BuildRequires:  python3-backports_abc
BuildRequires:  python3-django

Requires:       python3-tornado
Requires:       python3-six

Provides:       livereload == %{version}-%{release}

Obsoletes:      livereload <= %{version}-%{release}

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python3 LiveReload provides a command line utility, livereload, for
starting a server in a directory. By default, it will listen to port
35729, the common port for LiveReload browser extensions. LiveReload
is designed for web developers who know Python.

%package -n python2-%{pypi_name}

Summary:        Command line utility for starting a server in a directory

BuildRequires:  python2-setuptools
BuildRequires:  python2-devel
BuildRequires:  python2-six
BuildRequires:  python-tornado
BuildRequires:  python2-certifi
BuildRequires:  python2-backports_abc
BuildRequires:  python-backports-ssl_match_hostname
BuildRequires:  python2-django

Requires:       python-backports-ssl_match_hostname
Requires:       python-tornado
Requires:       python2-six

%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
Python2 LiveReload provides a command line utility, livereload, for
starting a server in a directory. By default, it will listen to port
35729, the common port for LiveReload browser extensions. LiveReload
is designed for web developers who know Python.

%package docs

Summary:        Documentation for %{name}

%description docs
LiveReload documentation and examples.

%prep
%setup -q -n %{name}-%{version}

%build
%py3_build
%py2_build

%install
%py2_install
#Overrides the python2 executable.
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.rst CHANGES.rst
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{_bindir}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python2-%{pypi_name}
%doc README.rst CHANGES.rst
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files docs
%doc docs example
%{!?_licensedir:%global license %%doc}
%license LICENSE

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 09 2017 William Moreno <williamjmorenor@gmail.com> - 2.5.1-1
- Update to v2.5.1
- Fix review issues

* Sat Dec 17 2016 William Moreno <williamjmorenor@gmail.com> - 2.5.0-1
- Update to v2.5.0
- Fix depencies names
- Update license from MIT to BSD
  

* Fri Feb 19 2016 William Moreno <williamjmorenor@gmail.com> - 2.4.1-2
- Provides python2-subpackage

* Fri Feb 12 2016 William Moreno <williamjmorenor@gmail.com> - 2.4.1-1
- v2.4.1

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Nov 15 2015 William Moreno Reyes <williamjmorenor at gmail.com> - 2.4.0-11
- https://fedoraproject.org/wiki/FAD_Python_3_Porting_2015

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.0-10
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Fri Sep 11 2015 Fedora <williamjmorenor at gmail.com> - 2.4.0-9
- Update Python Macros

* Thu Jul 09 2015 Fedora William Moreno Reyes <williamjmorenor at @gmail.com> - 2.4.0-8
- Do not build docs

* Thu Jul 09 2015 William Moreno Reyes <williamjmorenor at gmail.com> - 2.4.0-7
- Not use compresed manpage

* Wed Jul 08 2015 William Moreno Reyes <williamjmorenor at gmail.com> - 2.4.0-6
- Initial Import of #1230968
